%{?perl_default_filter}

Name:           perl-IO-Compress
Version:        2.030
Release:        1%{?dist}
Summary:        IO::Compress Perl module
License:        GPL+ or Artistic
Group:          Development/Libraries
URL:            http://search.cpan.org/dist/IO-Compress/
Source0:        http://www.cpan.org/authors/id/P/PM/PMQS/IO-Compress-%{version}.tar.gz
Patch0:         IO-Compress-2.024-Makefile.patch
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildArch:      noarch
BuildRequires:  perl(Test::Pod), perl(Test::NoWarnings)
BuildRequires:  perl(Compress::Raw::Bzip2) >= %{version}
BuildRequires:  perl(Compress::Raw::Zlib) >= %{version}
BuildRequires:  perl(ExtUtils::MakeMaker)
Requires:       perl(Compress::Raw::Bzip2) >= %{version}
Requires:       perl(Compress::Raw::Zlib) >= %{version}
Requires:       perl(:MODULE_COMPAT_%(eval "`%{__perl} -V:version`"; echo $version))
# this is wrapper for different Compress modules
Provides:       perl-Compress-Zlib = %{version}-%{release}
Obsoletes:      perl-Compress-Zlib < %{version}-%{release}
Provides:       perl-IO-Compress-Base = %{version}-%{release}
Obsoletes:      perl-IO-Compress-Base < %{version}-%{release}
Provides:       perl-IO-Compress-Bzip2 = %{version}-%{release}
Obsoletes:      perl-IO-Compress-Bzip2 < %{version}-%{release}
Obsoletes:      perl-IO-Compress-Zlib < %{version}-%{release}
Provides:       perl-IO-Compress-Zlib = %{version}-%{release}

%description
This distribution provides a Perl interface to allow reading and writing of
compressed data created with the zlib and bzip2 libraries.

IO-Compress supports reading and writing of bzip2, RFC 1950, RFC
1951, RFC 1952 (i.e. gzip) and zip files/buffers.

The following modules used to be distributed separately, but are now
included with the IO-Compress distribution.

* Compress-Zlib
* IO-Compress-Zlib
* IO-Compress-Bzip2
* IO-Compress-Base

%prep
%setup -q -n IO-Compress-%{version}
%patch0 -p1 -b .old
chmod -x lib/IO/Uncompress/{Adapter/Identity,RawInflate}.pm
chmod -R 644 examples/io/anycat examples/io/bzip2/* examples/io/gzip/* \
	examples/compress-zlib/*
%{__perl} -pi -e 's|^#!/usr/local/bin/perl\b|#!%{__perl}|' examples/io/anycat \
	examples/io/bzip2/* examples/io/gzip/* examples/compress-zlib/*


%build
%{__perl} Makefile.PL INSTALLDIRS=perl
make %{?_smp_mflags}

%install
rm -rf $RPM_BUILD_ROOT

make pure_install DESTDIR=$RPM_BUILD_ROOT

find $RPM_BUILD_ROOT -type f -name .packlist -exec rm -f {} \;
find $RPM_BUILD_ROOT -depth -type d -exec rmdir {} 2>/dev/null \;

%{_fixperms} $RPM_BUILD_ROOT/*

%check
make test #COMPRESS_ZLIB_RUN_ALL=1

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root,-)
#%exclude %dir %{perl_privlib}/auto
%doc Changes README pod/FAQ.pod examples/*
%{perl_privlib}/*
%{_mandir}/man3/*

%changelog
* Mon Jul 26 2010 Petr Sabata <psabata@redhat.com> 2.030-1
- 2.030 version bump

* Thu May 06 2010 Marcela Mašláňová <mmaslano@redhat.com> 2.027-1
- update

* Mon Apr 12 2010 Marcela Mašláňová <mmaslano@redhat.com> 2.024-3
- few fixes in specfile 573932

* Tue Mar 16 2010 Marcela Mašláňová <mmaslano@redhat.com> 2.024-2
- Specfile autogenerated by cpanspec 1.78.
- thanks with fixes of specfile to Paul Howarth

